import { request } from '@/api/request.js'
import storage from '@/utils/storage'

export default {
  // 创建全景
  API_PANORAMA_POST(params = {}) {
    const DeviceID = JSON.parse(storage.session.get('d_info'))?.value
    return request({
      url: `/Splicing/${DeviceID}?address=/PANORAMA`,
      method: 'post',
      params
    })
  },
  // 创建细节
  API_PART_POST(params = {}) {
    const DeviceID = JSON.parse(storage.session.get('d_info'))?.value
    return request({
      url: `/Splicing/${DeviceID}?address=/PART`,
      method: 'post',
      params
    })
  },
  // 修改细节
  API_PART_PUT(params = {}) {
    const DeviceID = JSON.parse(storage.session.get('d_info'))?.value
    return request({
      url: `/Splicing/${DeviceID}?address=/PART`,
      method: 'put',
      params
    })
  },
  // 获取尺寸
  API_ARRANGE_POST(params = {}) {
    const DeviceID = JSON.parse(storage.session.get('d_info'))?.value
    return request({
      url: `/Splicing/${DeviceID}?address=/ARRANGE`,
      method: 'post',
      params
    })
  },
  // 一点即视url转流
  API_TRANSFER_POST(params = {}) {
    const DeviceID = JSON.parse(storage.session.get('d_info'))?.value
    return request({
      url: `/Splicing/${DeviceID}?address=/TRANSFER`,
      method: 'post',
      params
    })
  },
  // 截图
  API_SCREENSHOT_GET(params = {}) {
    const DeviceID = JSON.parse(storage.session.get('d_info'))?.value
    return request({
      url: `/Splicing/${DeviceID}?address=/Screenshot`,
      method: 'get',
      params
    })
  },
  // 录像
  API_VIDEO_SAVE_GET(params = {}) {
    const DeviceID = JSON.parse(storage.session.get('d_info'))?.value
    return request({
      url: `/Splicing/${DeviceID}?address=/VideoSave`,
      method: 'get',
      params
    })
  },
  // 录像状态
  API_VIDEO_SAVE_STATE_GET(params = {}) {
    const DeviceID = JSON.parse(storage.session.get('d_info'))?.value
    return request({
      url: `/Splicing/${DeviceID}?address=/VideoSaveState`,
      method: 'get',
      params
    })
  },
  // 获取所有设备信息
  API_DEVICE_GET(params = {}) {
    return request({
      url: '/api/device',
      method: 'get',
      params
    })
  },
  // 上传文件
  API_UPLOAD_POST(data = {}) {
    return request({
      url: '/data',
      method: 'post',
      data
    })
  },
  // ai告警即视
  API_AI_WARN_POST(data = {}) {
    const DeviceID = JSON.parse(storage.session.get('d_info'))?.value
    return request({
      url: `/Splicing/${DeviceID}?address=/AI_Warn_to_See`,
      method: 'post',
      data
    })
  },
  // 获取裁剪信息
  API_CLIP_INFO_GET(data = {}) {
    return request({
      url: `/VideoShow/CropFullInfo`,
      method: 'get',
      data
    })
  },
  // 获取细节布局信息
  API_PART_LAYOUT_GET(data = {}) {
    return request({
      url: `/VideoShow/PartLayoutInfo`,
      method: 'get',
      data
    })
  }
}
