import MP4Box from 'mp4box'

var ws = null
var flag = 1

function WsOpen(event) {
  console.log('连接打开')
}
function WsClose(event) {
  console.log('连接关闭')
}
function WsError(event) {
  console.log('ws 发生错误:' + event)
}
class MP4FileSink {
  #file = null
  #offset = 0
  constructor(file) {
    this.#file = file
  }
  write(chunk) {
    chunk.fileStart = this.#offset
    this.#offset += chunk.byteLength
    this.#file.appendBuffer(chunk)
  }
  close() {
    this.#file.flush()
  }
}
var file = null
function WsMessage(event) {
  const dv = new DataView(event.data)
  const int32Value = dv.getInt32(0, true)
  const type = Number(int32Value)
  let jsonObject, vidoeData, jsonData
  switch (type) {
    case 1:
      file = MP4Box.createFile()
      file.onReady = onReady
      file.onSamples = onSamples
      this.fileSink = new MP4FileSink(file)
      vidoeData = dv.buffer.slice(4)
      this.fileSink.write(vidoeData)
      break
    case 2:
    case 3:
    case 4:
      vidoeData = dv.buffer.slice(4)
      this.fileSink.write(vidoeData)
      break
    case 5:
      jsonData = new TextDecoder().decode(dv.buffer.slice(4))
      if (jsonData) {
        jsonObject = JSON.parse(jsonData)
        this.showData = Object.values(jsonObject.Res)[0]
      } else {
        this.showData = []
      }
      break
  }
}

function onReady(info) {
  console.log('onReady')
  const track = info.videoTracks[0]
  if (flag !== 2) {
    var DataType = 'Track'
    var tkinfo = description(file.getTrackById(track.id))

    self.postMessage({ DataType, track, tkinfo })
  }
  flag = 2
  file.setExtractionOptions(track.id)
  file.start()
}

function onSamples(track_id, ref, samples) {
  for (const sample of samples) {
    var DataType = 'Samples'
    self.postMessage({ DataType, sample })
  }
}

function description(trak) {
  for (const entry of trak.mdia.minf.stbl.stsd.entries) {
    const box = entry.avcC || entry.hvcC || entry.vpcC || entry.av1C
    if (box) {
      const stream = new MP4Box.DataStream(undefined, 0, MP4Box.DataStream.BIG_ENDIAN)
      box.write(stream)
      return new Uint8Array(stream.buffer, 8) // Remove the box header.
    }
  }
  throw new Error('avcC, hvcC, vpcC, or av1C box not found')
}

self.addEventListener('message', (message) => {
  ws = new WebSocket(message.data.url)
  ws.binaryType = 'arraybuffer'
  ws.onopen = WsOpen
  ws.onclose = WsClose
  ws.onerror = WsError
  ws.onmessage = WsMessage
})
