// import { useOutsideSystemStore } from '@/stores/modules/system'
// const systemStore = useOutsideSystemStore()
class Canvas2DRenderer {
  #canvas = null
  #ctx = null

  constructor(canvas) {
    this.#canvas = canvas
    this.#ctx = canvas.getContext('2d')
  }

  draw(frame) {
    this.#canvas.width = frame.displayHeight
    this.#canvas.height = frame.displayWidth
    this.#ctx.translate(frame.displayHeight, 0);
    this.#ctx.rotate(Math.PI / 2)
    this.#ctx.drawImage(frame, 0, 0, frame.displayWidth, frame.displayHeight)
    frame.close()
  }
}

export { Canvas2DRenderer }
