import { useOutsideSystemStore } from '@/stores/modules/system.js'

const useSystem = useOutsideSystemStore()
export default {
  mounted(el) {
    if (['pub-video', 'rpb-video'].includes(el.className)) {
      el.addEventListener('dblclick', (e) => {
        e.preventDefault()
        // 取消全选
        window.getSelection ? window.getSelection().removeAllRanges() : document.selection.empty()
        let ratioW = e.target.offsetWidth / useSystem.videoArrange.WidthMain
        let ratioH = e.target.offsetHeight / useSystem.videoArrange.HeightMain
        const mouseX = e.offsetX
        const mouseY = e.offsetY
        Object.assign(useSystem.partObj, {
          PartCenterX: `${mouseX / ratioW}`,
          PartCenterY: `${mouseY / ratioH}`
        })
      })
    } else {
      // 双击全屏
      el.addEventListener('dblclick', (e) => {
        e.preventDefault()
        let dgFn = (domArr) => {
          if (!domArr.length) return
          for (let i = 0; i < domArr.length; i++) {
            if (
              typeof domArr[i].className != 'object' &&
              domArr[i].className?.includes('screen-full-trigger')
            ) {
              domArr[i].click()
              break
            }
            dgFn(domArr[i].childNodes)
          }
        }
        dgFn(e.target.parentNode.parentNode.childNodes)
      })
    }
  }
}
