/**
 * @Description:
 * @Author zcf
 * @Date 2023-08-10 14:30
 * @E-mail boyzcf@qq.com
 */
import { piniaStore } from '@/stores'

const { API_TAGLIST_GET } = useRequest()
/**
 * [
 *  {
 *   groupName:''
 *   children:[
 *      {
 *        name
 *      }
 *    ]
 *  }
 *
 * ]
 *
 *
 */
export const useTagStore = defineStore('tagStore', {
  state: () => ({
    groupTag: [
      // {
      //   id: 1,
      //   groupName: '兴趣点',
      //   type: 1,
      //   children: [
      //     // {
      //     //   id: '0242e67d-3dc9-4dc4-94fe-32dea821551b',
      //     //   name: '测试标签',
      //     //   x: '1964.5044462409055',
      //     //   y: '734.9054163298302',
      //     //   content: '测试标签测试标签测试标签',
      //     //   img: '',
      //     //   color: 'rgba(32, 128, 240, 0.6)',
      //     //   isFlag: 1,
      //     //   isShow: 1
      //     // }
      //   ]
      // },
      // {
      //   id: 2,
      //   groupName: '视频点',
      //   type: 2,
      //   children: [
      //     // {
      //     //   name:'标签',
      //     //   x:0,
      //     //   y:0,
      //     //   isShow: true,
      //     // }
      //   ]
      // }
    ]
  }),
  actions: {
    async getGroupTag() {
      const list = await API_TAGLIST_GET({ type: 'all' })
      this.groupTag = list? list.map((item) => {
        return {
          ...item,
          children: item.children.map((child) => ({
            ...child,
            isShow: true
          }))
        }
      }) : []
    }
  }
})

export function useOutsideTagStore() {
  return useTagStore(piniaStore)
}
